@import "normalize.css";

html {
  box-sizing: border-box;
}
*, *:before, *:after {
  box-sizing: inherit;
}

a, a:hover {
  color: inherit;
  cursor: pointer;
}

a.fancy-link {
  text-decoration: none;

}

a.fancy-link span {
  position: relative;
  cursor: pointer;

}
a.fancy-link span::after {
  content: "";
  position: absolute;
  bottom: -.1em;
  right: 0;
  left: 0;
  border-bottom: .075em solid currentColor;
  opacity: 0;
}
a.fancy-link:hover span::after {
  opacity: 1;
}

h1, h2, h3 {
    font-weight: inherit;
  font-size: inherit;
  text-transform: uppercase;;
  margin: 0;

}

html {
  scroll-behavior: smooth;
}
body {
  font-family: "HelveticaNeue-CondensedBold", "HelveticaNeueCondensedBold", "HelveticaNeue-Condensed-Bold", "Helvetica Neue Condensed Bold", "HelveticaNeue-BoldCondensed", "HelveticaNeueBoldCondensed", "HelveticaNeue-Bold-Condensed", "Helvetica Neue Bold Condensed", "Helvetica Neue", helvetica, arial, sans-serif;
  font-weight: bold;
  font-size: 16px;
  line-height: 1.5;
  scroll-behavior: smooth;
  text-transform: uppercase;
}

header {
  position: fixed;
  top: 0;
  left:0 ;
  right: 0;
  text-align: center;
  height: 90px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-transform: uppercase;
  z-index: 100;
  color: inherit;
  transition: color 300ms linear;
  color: #a8a8a8;
}

header nav.mobile-only {
      width: 100%;
    height: 100%;

    align-items: center;
    justify-content: center;
    display: none;

}

header nav.mobile-only h1 {
  position: absolute;
  opacity: 0;
  transition: opacity 300ms linear;
}



body[data-active-section="about"] header nav.mobile-only h1[data-title-for="about"],
body[data-active-section="services"] header nav.mobile-only h1[data-title-for="services"],
body[data-active-section="clients"] header nav.mobile-only h1[data-title-for="clients"],
body[data-active-section="contact"] header nav.mobile-only h1[data-title-for="contact"]{
  opacity: 1
}

@media only screen and (max-width: 600px) {
  header nav.above-mobile-only {
    display: none;
  }
  header nav.mobile-only {
    -webkit-display: flex;
    display: flex;
  }
}


header ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

header ul li {
  display: inline-block;
  margin: 0 .75em;
}

header ul li.active a span::after {
  opacity: 1;

}

header, article .article-inner {
    width: 1100px;
  max-width: 88%;
    margin: 0 auto;
}

article {
  padding-top: 50px;
  padding-bottom: 50px;
  overflow: hidden;
  text-align: center;
  position: relative;
  min-height: calc(var(--vh, 1vh) * 100);
  transition: min-height 300ms ease-out;
      display: flex;
    align-items: center;
        flex-direction: column;
            justify-content: center;

            font-size: 1.5em;
}

@media only screen and (min-width: 600px) {
  article {
    font-size: 3em;
  }
}

.article-inner {
  width: 100%;
}

.article-inner p:first-child {
  margin-top: 0;
}

.article-inner p:last-child {
  margin-bottom: 0;
}

article section + section {
  margin-top: 4em;
}
article img {
  display: block;
  margin: 0 auto;
}

.footer-logo-link {
  text-decoration: none;
  box-shadow: none;
  margin-top: 30px;
  position: absolute;
  bottom: 40px;
  width: 100%;
}

#footer-logo {
  display: block;
  width: 100px;
    opacity: .25;
  margin: 0 auto;
}

.rte h2 + p {
  margin-top: 0;
}

.rte img,
.rte video {
  width: 750px;
  display: block;
  max-width: 100%;
  margin: 0 auto;
}

.rte a {
  text-decoration: none;
}

.rte a:not(.no-visual-link) {
  box-shadow: 0 .075em 0 currentColor
}

.rte a:hover {
  box-shadow: none;
}

.rte li {
  margin: .75em 0;
}
.overlay {
    position: fixed;
  left:0;
  right: 0;
  top: 0;
  bottom:0;
  z-index: 1000;
  display: none;
}


.intro-overlay {
  display: none;
  position: fixed;
  left:0;
  right: 0;
  top: 0;
  bottom:0;
  z-index: 1000;
  background: #000;
  cursor: pointer;
  background: #aa0000;
  background-size: 100%;
/*  background-repeat: no-repeat;
  background-position: center center;*/
}


.intro-overlay canvas,
.intro-overlay img {
  position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
}
.intro-overlay-inner {
   display: flex;
      align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
  position: relative;
  z-index: 1;
}

.intro-overlay img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: 0;
}

.intro-overlay .intro-overlay-inner {
  background-image: url(logo.svg);
  background-position: center center;
}

.image-overlay img {
  width: 100%;
  height: 100%;
  object-fit: cover;

}

body[data-overlay-visible] {
  overflow: hidden;
}
body[data-overlay-visible="intro"] .overlay.intro-overlay,
body[data-overlay-visible="image"] .overlay.image-overlay {
  display: block;
}

.show-image-lightbox {
  display: block;
  cursor: pointer;
  transition: opacity 300ms linear;
}

.hide-image-overlay-wrap {
  position: absolute;
  left: 0;
  right: 0;
  text-align: center;
  text-transform: uppercase;
  color: white;
  height: 90px;
  line-height: 90px;
}

.hide-image-overlay:hover {
  color: white;
}

.clients-intro {
  text-align: center;
  display: flex;
  align-items: center;
  font-size: 1em;
  color: #ccff00;
}

.clients-intro a:not(.no-visual-link),
article#contact a:not(.no-visual-link) {
  box-shadow: 0 .075em 0 transparent;
}

.clients-intro a:not(.no-visual-link):hover,
article#contact a:not(.no-visual-link):hover  {
    box-shadow:  0 .075em 0 currentColor;
}

.clients-intro span {
  margin: 0 .33em;
  white-space: nowrap;
  display: inline-block;
}

.clients-intro p {
  max-width: 24em;
  margin: 0 auto
}

@media only screen and (max-width: 600px) {
  .clients-intro span {
    display: block;
    margin: .125em 0;
  }
}

article[id="contact"].rte {
  text-align: center;
}
article[id="contact"] .rte a {
  box-shadow: none;
}

.rte video.onload-video {
  width: 750px;
}

article[id="clients"] {
  background: black;
}
article[id="clients"] .background-video {
  width: 100%;
  position: absolute;
  z-index: 0;
  left: 0;
  top: 0;
  bottom: 0;
  height: 100%;
}

article[id="clients"] .article-inner {
  width: auto;
  z-index: 1;

}